{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/cluster/debuginfo",
  "title": "Cluster debug info requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/cluster/debuginfo/",
  "summary": "Documents the Redis Software REST API /cluster/debuginfo requests.",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-01-30T12:29:26-06:00",
  "page_type": "content",
  "content_hash": "6d5706c982285ea06e8325bcfd8499ec3c94e68189a01a3f3a24150bafd15f41",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-cluster-debuginfo) | `/v1/cluster/debuginfo` | Get debug info from all nodes and databases |"
    },
    {
      "id": "get-cluster-debuginfo",
      "title": "Get cluster debug info",
      "role": "content",
      "text": "GET /v1/cluster/debuginfo\n\nDownloads a tar file that contains debug info from all nodes and databases.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_debugging_info](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_debugging_info) |"
    },
    {
      "id": "get-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/cluster/debuginfo"
    },
    {
      "id": "get-response",
      "title": "Response",
      "role": "returns",
      "text": "Downloads the debug info in a tar file called `filename.tar.gz`. Extract the files from the tar file to access the debug info for all nodes.\n\n#### Response headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Content-Type | application/x-gzip | Media type of request/response body |\n| Content-Length | 653350 | Length of the response body in octets |\n| Content-Disposition | attachment; filename=debuginfo.tar.gz | Display response in browser or download as attachment |"
    },
    {
      "id": "get-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | Success. |\n| [500 Internal Server Error](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1) | Failed to get debug info. |"
    }
  ],
  "examples": []
}
